Channels
Channels enable datasets to be categorised or grouped together. A single workspace can have multiple channels.
Objects
Channel
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The channel ID |
creator | object | Member | The channel creator |
workspace | object | Workspace | The channel workspace |
created | string | ISO 8601 timestamp | The channel created at timestamp |
lastModified | string | ISO 8601 timestamp | The channel last modified timestamp |
name | string | The channel name | |
description | string | The channel description | |
picture | string | URL | The channel picture metadata |
{
"id" : "de4b2d20-9b36-4e1f-88a2-b3143b932b79",
"name" : "SITChannel",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-06-17T12:55:17.562466",
"lastModified" : "2026-06-17T12:55:17.562466",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/scope/workspace"
}
}
}
Requests
Initialise a channel
POST /api/channels/{channel-id}
Initialise a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels' -i -X POST \
-H 'Content-Type: application/json' \
-d '{ }'
import requests
url = "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels"
data = { }
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "52cb35e3-edc5-4884-9aa9-22fa16e83fa9",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"created" : "2026-06-17T12:55:23.3979619",
"lastModified" : "2026-06-17T12:55:23.397962845",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"create channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9"
}
}
}
View a channel
GET /api/channels/{channel-id}
Returns the channel {channel-id}.
Prerequisites
- Channel
{channel-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79' -i -X GET
import requests
url = "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "de4b2d20-9b36-4e1f-88a2-b3143b932b79",
"name" : "SITChannel",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-06-17T12:55:17.562466",
"lastModified" : "2026-06-17T12:55:17.562466",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/scope/workspace"
}
}
}
View a channel in a workspace
GET /api/workspaces/{workspace-id}/channels/{channel-id}
Returns a channel in the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a member of the workspace
{workspace-id}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79' -i -X GET
import requests
url = "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "de4b2d20-9b36-4e1f-88a2-b3143b932b79",
"name" : "SITChannel",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-06-17T12:55:17.562466",
"lastModified" : "2026-06-17T12:55:17.562466",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/scope/workspace"
}
}
}
View all channels in a workspace
GET /api/workspaces/{workspace-id}/channels/{channel-id}?type={type}&source={source}&containsDataset={datasetId}
Returns all channels in the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a member of the workspace
{workspace-id}
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
type | No | string | None | Return channels by types: list or source |
source | No | string | None | Return channels by source: profile or workspace |
containsDataset | No | string | None | Adds a containsDataset boolean field to all channels returning if it contains the dataset |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels' -i -X GET
import requests
url = "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel collection with HAL links.
{
"_embedded" : {
"channels" : [ {
"id" : "de4b2d20-9b36-4e1f-88a2-b3143b932b79",
"name" : "SITChannel",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-06-17T12:55:17.562466",
"lastModified" : "2026-06-17T12:55:17.562466",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/scope/workspace"
}
}
}, {
"id" : "2f118646-5b09-4c27-b6cd-81cb37bafd95",
"name" : "SITChannelTwo",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-06-17T12:55:17.627165",
"lastModified" : "2026-06-17T12:55:17.627166",
"description" : "SITChannelTwo",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/2f118646-5b09-4c27-b6cd-81cb37bafd95"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/2f118646-5b09-4c27-b6cd-81cb37bafd95/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/2f118646-5b09-4c27-b6cd-81cb37bafd95/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/2f118646-5b09-4c27-b6cd-81cb37bafd95"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/2f118646-5b09-4c27-b6cd-81cb37bafd95"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/2f118646-5b09-4c27-b6cd-81cb37bafd95/scope/workspace"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels?page=0&size=10&sort=name,asc"
}
},
"page" : {
"size" : 10,
"totalElements" : 2,
"totalPages" : 1,
"number" : 0
}
}
Create or Update a channel in a workspace
PUT /api/workspaces/{workspace-id}/channels/{channel-id}
Creates or Updates a channel in the workspace {workspace-id}.
This endpoint takes a {channel-id} (UUID) and based on the supplied value and the channels that already exist in the workspace, will update or create a channel accordingly.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a admin in the workspace
{workspace-id}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SITChannel",
"description" : "SITChannel"
}'
import requests
url = "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
data = {
"name" : "SITChannel",
"description" : "SITChannel"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK / 201 Created
Channel with HAL links.
{
"id" : "de4b2d20-9b36-4e1f-88a2-b3143b932b79",
"name" : "SITChannel",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-06-17T12:55:17.562465849",
"lastModified" : "2026-06-17T12:55:17.562466214",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79/scope/workspace"
}
}
}
Delete a channel
DELETE /api/channels/{channel-id}
Delete a channel.
Prerequisites
- The user must be a admin of the workspace the channel is in.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79' -i -X DELETE
import requests
url = "https://app.matatika.com/api/channels/de4b2d20-9b36-4e1f-88a2-b3143b932b79"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
View all channels in your workspace news
GET /api/channels/{channel-id}
Returns all channels in your news for the workspace.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/news/channels' -i -X GET
import requests
url = "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/news/channels"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channels in your workspace news.
{
"_embedded" : {
"channels" : [ {
"id" : "40b93d86-6f61-409b-94ad-c82d3148f654",
"name" : "SITChannel",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "WORKSPACE",
"type" : "SOURCE",
"created" : "2026-06-17T12:55:18.003114",
"lastModified" : "2026-06-17T12:55:18.003114",
"description" : "SITChannel",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"search" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/news?q=in%3ASITChannel"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels"
}
}
}
Add a dataset to a list channel
PUT /api/channels/{channel-id}/datasets/{dataset-id}
Adds a dataset to a channel with type list.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/datasets/2156c3ee-5315-4f71-87e7-8d0045d27e7e' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/datasets/2156c3ee-5315-4f71-87e7-8d0045d27e7e"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
201 Created
No response body provided.
Remove a dataset from a list channel
DELETE /api/channels/{channel-id}/datasets/{dataset-id}
Removes a dataset from a channel with type list.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/datasets/2156c3ee-5315-4f71-87e7-8d0045d27e7e' -i -X DELETE
import requests
url = "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/datasets/2156c3ee-5315-4f71-87e7-8d0045d27e7e"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Add workspace scope to a channel
PUT /api/channels/{channel-id}/scope/workspace
Add workspace scope to a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/scope/workspace' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/scope/workspace"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "52cb35e3-edc5-4884-9aa9-22fa16e83fa9",
"name" : "mylist",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "WORKSPACE",
"type" : "LIST",
"created" : "2026-06-17T12:55:23.455195",
"lastModified" : "2026-06-17T12:55:23.455195",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9"
},
"withdraw workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/scope/profile"
}
}
}
Withdraw workspace scope from a channel
PUT /api/channels/{channel-id}/scope/profile
Withdraw workspace scope from a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/scope/profile' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/scope/profile"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "52cb35e3-edc5-4884-9aa9-22fa16e83fa9",
"name" : "mylist",
"workspaceId" : "315352aa-4a82-4699-a7d2-ef9d5aadf1c0",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"scope" : "PROFILE",
"type" : "LIST",
"created" : "2026-06-17T12:55:23.455195",
"lastModified" : "2026-06-17T12:55:23.455195",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9"
},
"datasets" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/subscriptions"
},
"update channel" : {
"href" : "https://app.matatika.com/api/workspaces/315352aa-4a82-4699-a7d2-ef9d5aadf1c0/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9"
},
"delete channel" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9"
},
"add workspace-scope" : {
"href" : "https://app.matatika.com/api/channels/52cb35e3-edc5-4884-9aa9-22fa16e83fa9/scope/workspace"
}
}
}